Summary: Pythia - An event generator for High Energy Physics
Name: pythia
%define __version    6
%define __subversion 428
Version: %{__version}.%{__subversion}
Release: 11%{?dist}7a

Prefix: /opt/pythia

License: T.Sjostrand (2010)
Group: Development/Libraries
Source0: https://raw.githubusercontent.com/GENIE-MC/Generator/master/src/scripts/build/ext/build_pythia6.sh
Source1: localhost:/pythia6.tar.gz
Patch0: localhost:/build_pythia6428-soname.patch
URL: http://www.thep.lu.se/~torbjorn/Pythia.html
Packager: Keifuke Fujii <keisuke.fujii@kek.jp>
BuildRoot: %{_tmppath}/pythia-root

%description
Pythia is an event generator for various processes in high
energy physics written by Torbjorn Sjostrand of Lund University.

Disclaimer: 
this program comes without any guarantees. Beware 
of errors and use common sense when interpreting results.

%prep
%setup -n pythia-%{version} -q -c -T

cp $RPM_SOURCE_DIR/build_pythia6.sh .
# fix install_name
%patch0 -p1 -b .orig

mkdir -p v%{__version}_%{__subversion}/download
cp $RPM_SOURCE_DIR/pythia6.tar.gz v%{__version}_%{__subversion}/download/

%build
export CERN_ROOT=/opt/cern/2006
sh build_pythia6.sh gfortran


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/v%{__version}.%{__subversion}

cd v%{__version}_%{__subversion}
(cd src
 make clean
 rm -f fsplit
 #chmod 644 *.orig
 rm -f *.orig
)
(cd tpythia6_build
 #chmod 644 *.orig
 rm -f *.orig
 rm -f *.o
)
rm -rf download
tar -zcf - . | tar -zxvf - -C $RPM_BUILD_ROOT%{prefix}/v%{__version}.%{__subversion}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%{prefix}/v%{__version}.%{__subversion}
#%doc 

%changelog
* Fri Apr 1 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 6.428-11hepx7a
- 1st build and release on MacOS 11
- built with OSXWS 11 and clang

* Fri Feb 4 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 6.428-12hepx6a
- 1st build and release on MacOSX 12 for M1 Macs.
- replaced build_pythia.sh with the latest one 
- added soname patch to fix instalL_name
- built with OSXWS 11

* Fri Jan 24 2020 Keisuke Fujii <keisuke.fujii@kek.jp> 6.428-10.15hepx5a
- 1st build and release on MacOSX 10.15
- change /cern to /opt/cern
- use libgfortran.a instead of libgfortran.dylib
- built with OSXWS 10.15

* Thu Dec 19 2019 Keisuke Fujii <keisuke.fujii@kek.jp> 6.428-10.14hepx4a
- 1st build and release on MacOSX 10.14
- specify gfortran to build the package
- built with OSXWS 10.14

* Mon Dec 24 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 6.428-10.14hepx3a
- 1st build and release on MacOSX 10.14
- changed source repositly in the build script
- built with OSXWS 10.13

* Tue Apr 03 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 6.428-10.13hepx3a
- 1st build and release on MacOSX 10.13
- built with OSXWS 10.13

* Mon Dec 26 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 6.428-10.12hepx3b
- 2nd build and release on MacOSX 10.12
- built with OSXWS 10.12

* Mon Dec 19 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 6.428-10.12hepx3a
- 1st build and release on MacOSX 10.12
- built with OSXWS 10.11
- now includes pythia6.tar.gz in SRPMS

* Tue Feb 09 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 6.428-10.11hepx2a
- 1st build and release on MacOSX 10.11

* Wed Dec 24 2014 Keisuke Fujii <keisuke.fujii@kek.jp> 6.428-10.10hepx2a
- 1st build and release on MacOSX 10.10

* Thu Aug 07 2014 Keisuke Fujii <keisuke.fujii@kek.jp> 6.428-10.9hepx1a
- 1st build and release on MacOSX 10.9

* Wed Aug 06 2014 Keisuke Fujii <keisuke.fujii@kek.jp> 6.424-10.9hepx1b
- 2nd build and release on MacOSX 10.9

* Sat Dec 07 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 6.424-10.9hepx1a
- 1st build and release on MacOSX 10.9
